MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022680Community[OCCT] OCCT:Data Exchangepublic2011-07-22 13:142014-11-11 12:58
Reporterszv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0022680: Empty result after STEP import
DescriptionThis problem is reported in the Forum thread
http://www.opencascade.org/org/forum/thread_21219/. [^]

The reason of the reported problem is duplicated knots in BSpline curve
definition: normally duplicated knots should be written as one value, but with
associated multiplicity > 1; here they are written as plain knots, all with
multiplicity 1, but duplicated.
This causes exception on attemt to create bspline curve in OCCT, and result is
empty.

It might be reasonable for us to make a fix against such case in OCCT (should be
pretty easy).

Note that the file has interesting header:

    ISO-10303-21;
    HEADER;
    FILE_DESCRIPTION(('3-D model version:1'),'2;1');
    FILE_NAME('C5-390.410-63090C',
    '2001-01-01T00:00:00+00:00',('Tdm3DGenerator'),('AB Sandvik Coromant'),'',
    'ESSENCE Processor','');
    FILE_SCHEMA(('CONFIG_CONTROL_DESIGN'));
    ENDSEC;

It seems that it is written by custom STEP processor created by Sandvik Goromant
company (swedish producer of cutting tools).
TagsNo tags attached.
Test case numberbugs step(014) bug22680
Attached Files? file icon C5-390.410-63090C-633112134823466595-1.stp (50,945 bytes) 2011-07-22 11:14

- Relationships

-  Notes
(0030953)
git (administrator)
2014-08-20 18:17

Branch CR22680 has been created by gka.

SHA-1: a0383adeeec063566725d38e891ea1f659a684b4


This branch includes the following new commits:

       new a0383ad 0022680: Empty result after STEP import


Detailed log of new commits:

commit a0383adeeec063566725d38e891ea1f659a684b4
Author: Martin Siggel
Date: Sun Jul 6 22:58:26 2014 +0200

    0022680: Empty result after STEP import
    
    Fixed identical knots not correctly handled in STEP import
(0030954)
gka (developer)
2014-08-20 18:18

Branch CR22680 is ready to be tested
(0030985)
mkv (tester)
2014-08-21 12:16

Dear BugMaster,

Branch CR22680 from occt git-repository (and master from products git-repository) was compiled on Linux and Windows platforms and tested.
SHA-1: a0383adeeec063566725d38e891ea1f659a684b4

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
http://occt-tests/CR22680-master-occt/Debian60-64/summary.html [^]
http://occt-tests/CR22680-master-occt/Windows-32-VC10/summary.html [^]
de step_2(005) C9
de step_3(006) D1

Testing cases:
http://occt-tests/CR22680-master-occt/Debian60-64/bugs/step/bug22680.html [^]
http://occt-tests/CR22680-master-occt/Windows-32-VC10/bugs/step/bug22680.html [^]
bugs step(014) bug22680: OK

Testing on Linux:
occt component :
Total MEMORY difference: 351881964 / 351818908
Total CPU difference: 41360.610000000284 / 45934.980000000134
products component :
Total MEMORY difference: 109513220 / 109519380
Total CPU difference: 17517.809999999987 / 18684.809999999983

Testing on Windows:
occt component :
Total MEMORY difference: 239897200 / 239657100
Total CPU difference: 39350.953125 / 32639.625
products component :
Total MEMORY difference: 66259944 / 65539272
Total CPU difference: 11445.046875 / 13013.484375

There are no differences in images found by testdiff.
(0030986)
git (administrator)
2014-08-21 12:16

Branch CR22680 has been updated by mkv.

SHA-1: 4b792f472e46734245b3cfc3e414e3f72e096b9f


Detailed log of new commits:

Author: mkv
Date: Thu Aug 21 12:15:47 2014 +0400

    Test cases for issue CR22680

(0030994)
abv (manager)
2014-08-21 13:03

The cases de step_2 C9 and de step_3 D1 are improvements (more faces are translated), please update test data
(0031007)
git (administrator)
2014-08-21 14:27

Branch CR22680 has been updated by mkv.

SHA-1: e63a0ecbc43f9382d030f52f51398e9c1be86c28


Detailed log of new commits:

Author: mkv
Date: Thu Aug 21 14:27:39 2014 +0400

    Correction test cases for CR22680

(0031449)
git (administrator)
2014-09-08 15:50

Branch CR22680 has been deleted by inv.

SHA-1: e63a0ecbc43f9382d030f52f51398e9c1be86c28

- Related Changesets
occt: master d15f387a
Timestamp: 2014-08-21 10:37:04
Author: martinsiggel
Committer: bugmaster
Details ] Diff ]
0022680: Empty result after STEP import

Fixed identical knots not correctly handled in STEP import

Test cases for issue CR22680

Correction test cases for CR22680
mod - src/StepToGeom/StepToGeom_MakeBSplineCurve.pxx Diff ] File ]
mod - src/StepToGeom/StepToGeom_MakeBSplineSurface.cxx Diff ] File ]
add - tests/bugs/step/bug22680 Diff ] File ]

- Issue History
Date Modified Username Field Change
2011-08-02 11:12 bugmaster Category OCCT:DTE => OCCT:Data Exchange
2011-09-21 14:29 szy Fixed in Version EMPTY =>
2011-09-21 14:29 szy Target Version => 6.5.3
2011-09-21 14:29 szy Description Updated View Revisions
2011-09-22 17:00 szy Assigned To bugmaster => gka
2011-09-22 17:00 szy Status acknowledged => assigned
2011-10-21 16:50 szy Resolution suspended => open
2012-02-09 09:17 abv Target Version 6.5.3 => Unscheduled
2014-08-20 18:17 git Note Added: 0030953
2014-08-20 18:17 gka Status assigned => resolved
2014-08-20 18:18 gka Note Added: 0030954
2014-08-20 18:18 gka Status resolved => reviewed
2014-08-20 19:01 mkv Assigned To gka => mkv
2014-08-21 12:16 mkv Note Added: 0030985
2014-08-21 12:16 git Note Added: 0030986
2014-08-21 12:17 mkv Test case number => bugs step(014) bug22680
2014-08-21 12:17 mkv Assigned To mkv => gka
2014-08-21 12:17 mkv Status reviewed => feedback
2014-08-21 13:03 abv Note Added: 0030994
2014-08-21 13:03 abv Assigned To gka => mkv
2014-08-21 13:03 abv Status feedback => reviewed
2014-08-21 14:27 git Note Added: 0031007
2014-08-21 14:28 mkv Assigned To mkv => bugmaster
2014-08-21 14:28 mkv Status reviewed => tested
2014-08-22 11:04 bugmaster Target Version Unscheduled => 6.8.0
2014-08-22 15:42 bugmaster Changeset attached => occt master d15f387a
2014-08-22 15:42 bugmaster Status tested => verified
2014-08-22 15:42 bugmaster Resolution open => fixed
2014-09-08 15:50 git Note Added: 0031449
2014-11-11 12:45 user533 Fixed in Version => 6.8.0
2014-11-11 12:58 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker